summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-09-01 22:38:46 (GMT)
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-01 22:38:46 (GMT)
commit5912894ebeee54be2dd93a15e4aceb248d435263 (patch)
tree8fac89989e81b83ac5fee13942cbc72ccb95c184
parent4b17cb33a9170f290b04a0f08fd5268430f9f124 (diff)
downloadslackbuilds-willysr.tar.gz
slackbuilds-willysr.tar.xz
multimedia/plex-home-theater: Added (Media Center).willysr
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/plex-home-theater/README5
-rw-r--r--multimedia/plex-home-theater/doinst.sh9
-rw-r--r--multimedia/plex-home-theater/plex-home-theater7
-rw-r--r--multimedia/plex-home-theater/plex-home-theater.SlackBuild119
-rw-r--r--multimedia/plex-home-theater/plex-home-theater.desktop10
-rw-r--r--multimedia/plex-home-theater/plex-home-theater.info10
-rw-r--r--multimedia/plex-home-theater/plex-home-theater_512x512.pngbin0 -> 330319 bytes
-rw-r--r--multimedia/plex-home-theater/slack-desc19
8 files changed, 179 insertions, 0 deletions
diff --git a/multimedia/plex-home-theater/README b/multimedia/plex-home-theater/README
new file mode 100644
index 0000000..9c108a4
--- /dev/null
+++ b/multimedia/plex-home-theater/README
@@ -0,0 +1,5 @@
+Plex Home Theater is optimized for the big screen and supports
+a wide variety of formats with high-definition audio, native
+framerates, and more.
+
+(Some) Optional dependencies: libbluray libcec libnfs
diff --git a/multimedia/plex-home-theater/doinst.sh b/multimedia/plex-home-theater/doinst.sh
new file mode 100644
index 0000000..3e5691a
--- /dev/null
+++ b/multimedia/plex-home-theater/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/plex-home-theater/plex-home-theater b/multimedia/plex-home-theater/plex-home-theater
new file mode 100644
index 0000000..d2ce5b4
--- /dev/null
+++ b/multimedia/plex-home-theater/plex-home-theater
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+# disable PulseAudio
+export AE_ENGINE=Soft
+
+export XBMC_HOME=/opt/plex-home-theater/share/XBMC
+exec /opt/plex-home-theater/bin/plexhometheater
diff --git a/multimedia/plex-home-theater/plex-home-theater.SlackBuild b/multimedia/plex-home-theater/plex-home-theater.SlackBuild
new file mode 100644
index 0000000..602c3d7
--- /dev/null
+++ b/multimedia/plex-home-theater/plex-home-theater.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# SlackBuild script for "plex-home-theater".
+
+# Copyright 2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=plex-home-theater
+VERSION=${VERSION:-1.2.2_2d6426d733}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# remove AirTunes dependency (would require libshairport)
+sed -i 's/ ShairPort//' plex/CMakeModules/PlatformConfigLINUX.cmake
+
+mkdir build
+cd build
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/opt/$PRGNAM \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DENABLE_AUTOUPDATE='FALSE' \
+ -DENABLE_DUMP_SYMBOLS='FALSE' \
+ -DENABLE_PYTHON='TRUE' \
+ -DUSE_INTERNAL_FFMPEG='TRUE' \
+ -DCREATE_BUNDLE='FALSE' \
+ ..
+
+# internal ffmpeg version doesn't build with multiple jobs
+make -j1
+make install DESTDIR=$PKG
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+install -D -m 0755 $CWD/plex-home-theater $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+install -D -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/pixmaps
+install -D -m 0644 $CWD/${PRGNAM}_512x512.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTORS LICENSE.GPL README README-BUILD-PLEX.md docs/README.* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/plex-home-theater/plex-home-theater.desktop b/multimedia/plex-home-theater/plex-home-theater.desktop
new file mode 100644
index 0000000..988ab8a
--- /dev/null
+++ b/multimedia/plex-home-theater/plex-home-theater.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Plex Home Theater
+GenericName=Media Center
+Comment=Plex Home Theater
+Exec=plex-home-theater
+StartupNotify=true
+Terminal=false
+Type=Application
+Icon=/usr/share/pixmaps/plex-home-theater_512x512.png
+Categories=Audio;Music;Video;Player;Media;
diff --git a/multimedia/plex-home-theater/plex-home-theater.info b/multimedia/plex-home-theater/plex-home-theater.info
new file mode 100644
index 0000000..dd4031f
--- /dev/null
+++ b/multimedia/plex-home-theater/plex-home-theater.info
@@ -0,0 +1,10 @@
+PRGNAM="plex-home-theater"
+VERSION="1.2.2_2d6426d733"
+HOMEPAGE="https://github.com/plexinc/plex-home-theater-public/tree/pht-frodo"
+DOWNLOAD="https://s.mos6581.de/static/slackbuilds.org/sources/plex-home-theater-1.2.2_2d6426d733.tar.xz"
+MD5SUM="dc2689a6a06076974712a6a56ef0c6bf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="yajl libmicrohttpd tinyxml avahi libmpeg2 libass rtmpdump libva libvdpau libmodplug lame openjdk"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/multimedia/plex-home-theater/plex-home-theater_512x512.png b/multimedia/plex-home-theater/plex-home-theater_512x512.png
new file mode 100644
index 0000000..89f68bb
--- /dev/null
+++ b/multimedia/plex-home-theater/plex-home-theater_512x512.png
Binary files differ
diff --git a/multimedia/plex-home-theater/slack-desc b/multimedia/plex-home-theater/slack-desc
new file mode 100644
index 0000000..4317e3a
--- /dev/null
+++ b/multimedia/plex-home-theater/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+plex-home-theater: Plex Home Theater (Media Center)
+plex-home-theater:
+plex-home-theater: Plex Home Theater is optimized for the big screen and supports
+plex-home-theater: a wide variety of formats with high-definition audio, native
+plex-home-theater: framerates, and more.
+plex-home-theater:
+plex-home-theater: Homepage: http://plex.tv/
+plex-home-theater:
+plex-home-theater:
+plex-home-theater:
+plex-home-theater: